#
# spec file for package python-chaco
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-chaco
Version:        4.5.0
Release:        1.7
Summary:        Interactive 2-dimensional plotting for Python
License:        BSD-3-Clause and SUSE-Public-Domain and CC-BY-SA-2.5
Group:          Development/Libraries/Python
# Source code is under BSD but images are under different licenses
# and details are inside image_LICENSE.txt
Url:            http://code.enthought.com/projects/chaco
Source:         https://pypi.python.org/packages/source/c/chaco/chaco-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-enable
BuildRequires:  python-numpy-devel
Requires:       python-enable
Requires:       python-numpy
%if 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%else
%py_requires
%endif

%description
Chaco is a Python plotting application toolkit that facilitates writing
plotting applications at all levels of complexity, from simple scripts with
hard-coded data to large plotting programs with complex data interrelationships
and a multitude of interactive tools. While Chaco generates attractive static
plots for publication and presentation, it also works well for interactive data
visualization and exploration.

Part of the Enthought Tool Suite (ETS).

%package doc
Summary:        Documentation for %{name}
Group:          Documentation/HTML
Recommends:     %{name} = %{version}
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description doc
Documentation and examples for %{name}

%prep
%setup -q -n chaco-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
chmod +x %{buildroot}%{python_sitearch}/chaco/contour/setup.py
%fdupes -s %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst 
%{python_sitearch}/chaco/
%{python_sitearch}/chaco-%{version}-py*.egg-info

%files doc
%defattr(-,root,root,-)
%doc README.rst 

%changelog
* Fri Sep  4 2015 toddrme2178@gmail.com
- Update to 4.5.0
  * no changelog
* Mon Oct 13 2014 toddrme2178@gmail.com
- Update to 4.4.1
  * no changelog
- Update source to pypi url.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sat Apr 20 2013 toddrme2178@gmail.com
- Added a note about being part of the Enthought Tool Suite (ETS).
* Thu Apr 18 2013 toddrme2178@gmail.com
- Update to 4.3.0
  * no changelog
* Sun Jun 24 2012 scorot@free.fr
- fix build on SLE 11
* Tue May 22 2012 toddrme2178@gmail.com
- Initial spec file
